pci_bus_find_capability
Prev | PCI Support Library | Next

## Name

pci_bus_find_capability — query for devices' capabilities

## Synopsis

`int pci_bus_find_capability (` | struct pci_bus * | bus,
| unsigned int | devfn,
| int | cap`)`;

## Arguments

`bus`

  the PCI bus to query

`devfn`

  PCI device to query

`cap`

  capability code

## Description

Like `pci_find_capability` but works for pci devices that do not have a pci_dev structure set up yet.

Returns the address of the requested capability structure within the device's PCI configuration space or 0 in case the device does not support it.

Prev | Up | Next
pci_find_capability | Home | pci_find_ext_capability